Skip to main content
GET
/
lucca-api
/
business-establishments
/
{id}
Retrieve a business-establishment
curl --request GET \
  --url https://{host}/lucca-api/business-establishments/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{host}/lucca-api/business-establishments/{id}"

headers = {
"Api-Version": "<api-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Api-Version': '<api-version>', Authorization: 'Bearer <token>'}
};

fetch('https://{host}/lucca-api/business-establishments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "5",
  "type": "business-establishment",
  "url": "https://example.ilucca.net/lucca-api/business-establishments/5",
  "name": "Lucca Marseille",
  "remoteId": "00004",
  "legalEntity": {
    "id": "123",
    "type": "legal-entity",
    "url": "https://example.ilucca.net/lucca-api/legal-entities/123"
  },
  "taxIdentificationNumber": {
    "format": "franceSIRET",
    "value": "0000000000000"
  },
  "address": {
    "addressLines": [
      "Lucca",
      "10 Place de la Joliette",
      "Les Docks Atrium 10.2"
    ],
    "postalCode": "13002",
    "locality": "Marseille",
    "administrativeArea": "Bouches-du-Rhône",
    "countryCode": "FRA"
  },
  "timezoneId": "Europe/Paris",
  "isArchived": false,
  "lastArchivedAt": null,
  "createdAt": "2024-05-23T13:45:26.0001Z",
  "lastUpdatedAt": "2024-05-23T13:45:26.0001Z",
  "links": {},
  "embedded": {
    "legal-entity": {
      "123": {
        "id": "123",
        "type": "legal-entity",
        "url": "https://example.ilucca.net/lucca-api/legal-entities/123",
        "legalName": "Lucca S.A.S.",
        "remoteId": "LE:83.2938",
        "countryCode": "FRA",
        "currencyCode": "EUR",
        "taxIdentificationNumber": {
          "format": "franceSIREN",
          "value": "44163769100128"
        },
        "industryCode": {
          "format": "franceAPE",
          "value": "7022Z"
        },
        "createdAt": "2024-01-01T08:34:23.0001Z",
        "lastUpdatedAt": "2024-01-01T08:34:23.0001Z",
        "lastArchivedAt": null,
        "links": {
          "businessEstablishments": {
            "href": "https://example.ilucca.net/lucca-api/business-establishments?legalEntity.id=123"
          }
        }
      }
    }
  }
}
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "https://example.ilucca.net/lucca-api/leaves/1573",
"errors": {
"endsOn": [
"Invalid period: StartsOn should be before EndsOn."
],
"employeeId": [
"The employeeId query parameter is required."
]
},
"extensions": {
"traceId": "|78777424-49cc27e04281bbfc."
}
}
{
"type": "https://datatracker.ietf.org/doc/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"instance": "https://example.ilucca.net/lucca-api/employees/1573"
}
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"instance": "https://example.ilucca.net/lucca-api/employees/1573"
}
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Internal Server Error",
"status": 500,
"instance": "https://example.ilucca.net/lucca-api/employees/1573"
}
OAuth 2.0 scopes
 business-establishments.readonly
or
 business-establishments.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Unique id of the business-establishment.

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

Representation of the requested business-establishment.

A business-establishment resource.

id
string
Minimum string length: 1
type
string
Allowed value: "business-establishment"
url
string<uri>
name
string
Minimum string length: 1
remoteId
null | string

The third-party API ID of the matching object.

isArchived
boolean

If this business-establishment is archived. Only possible if there are no more employees attached.

Reference to the legal-entity this business-establishment belongs to.

isHeadquarters
boolean

True when this business-establishment should be considered the headquarters of the legal-entity it belongs to. A legal-entity may only have a single one headquarters.

taxIdentificationNumber
null | object
  • France: SIRET (Système d'identification du répertoire des établissements). Must start with the same identifier than its legal-entity (SIREN).
industryCode
null | object

The industry (classification) code identifies the main type of activity of this legal-entity.

  • France: APE or NAF code.
  • Spain: CNAE.
  • Germany: WZ (Die Klassifikation der Wirtschaftszweige).
  • U.S.A.: NAICS (North American Industry Classification System).
address
address · object | null

Representation of a postal address.

Example:
{
"addressLines": ["10 Place de la Joliette", "Atrium 10.2"],
"postalCode": "13002",
"locality": "Marseille",
"administrativeArea": "Bouches-du-Rhône",
"countryCode": "FRA"
}
timezoneId
string | null

IANA timezone identifier this business-establishment belongs to.

Example:

"Europe/Paris"

lastArchivedAt
string<date-time> | null

Read-only. UTC timestamp of the moment this object was last archived through its isArchived property.

Example:

"2023-01-23T12:45:23.1234Z"

createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"

embedded
object | null

Embeds the representation of resources related to the business-establishment(s).

Only returned if requested by the API client: ?include=embedded.